// Copyright 2022, Algoryx Simulation AB.

#pragma once

// Unreal Engine includes.
#include "CoreMinimal.h"

#include "RobotTarget.generated.h"

USTRUCT(BlueprintType)
struct YUMI_API FRobotTarget
{
	GENERATED_USTRUCT_BODY()

	UPROPERTY(EditAnywhere, Category = "Controller")
	TArray<double> ArmJointPos;

	UPROPERTY(EditAnywhere, Category = "Controller")
	TArray<double> GripperJointPos;

	UPROPERTY(EditAnywhere, Category = "Controller")
	double Duration = 0.0;
};
